ManagedEntity (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: ManagedEntity

Package org.apache.geode.admin

# Interface ManagedEntity

All Known Subinterfaces:
  `CacheServer`, `CacheVm`, `DistributionLocator`

@Deprecated public interface ManagedEntity
Deprecated.
as of 7.0 use the `management` package instead
A entity that can be managed with the GemFire administration API.

Since:
  GemFire 4.0
See Also:
  - `ManagedEntityConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLog()`
  Deprecated.
  Returns the tail of this manage entity's log file.
  `boolean`
  `isRunning()`
  Deprecated.
  Returns whether or not this managed entity is running.
  `void`
  `start()`
  Deprecated.
  Starts this managed entity.
  `void`
  `stop()`
  Deprecated.
  Stops this managed entity.
  `boolean`
  `waitToStart(long timeout)`
  Deprecated.
  Waits for up to a given number of milliseconds for this managed entity to start.
  `boolean`
  `waitToStop(long timeout)`
  Deprecated.
  Waits for up to a given number of milliseconds for this managed entity to stop.

- ## Method Details

  - ### start

    void start() throws AdminException
    Deprecated.
    Starts this managed entity. Note that this method may return before the managed entity is actually started.
    Throws:
      `AdminException` - If a problem is encountered while starting this managed entity.
      `IllegalStateException` - If this managed entity resides on a remote machine and a `null` or empty (`""`) remote command has been specified.
    See Also:
      - `waitToStart(long)`

  - ### stop

    void stop() throws AdminException
    Deprecated.
    Stops this managed entity. Note that this method may return before the managed entity is actually stopped.
    Throws:
      `AdminException` - If a problem is encountered while stopping this managed entity.
      `IllegalStateException` - If this managed entity resides on a remote machine and a `null` or empty (`""`) remote command has been specified.
    See Also:
      - `waitToStop(long)`

  - ### waitToStart

    boolean waitToStart(long timeout) throws InterruptedException
    Deprecated.
    Waits for up to a given number of milliseconds for this managed entity to start.
    Parameters:
      `timeout` - The number of milliseconds to wait for this managed entity to start.
    Returns:
      Whether or not the entity has started. `false`, if the method times out.
    Throws:
      `InterruptedException` - If the thread invoking this method is interrupted while waiting.

  - ### waitToStop

    boolean waitToStop(long timeout) throws InterruptedException
    Deprecated.
    Waits for up to a given number of milliseconds for this managed entity to stop.
    Parameters:
      `timeout` - The number of milliseconds to wait for this managed entity to stop.
    Returns:
      Whether or not the entity has stopped. `false`, if the method times out.
    Throws:
      `InterruptedException` - If the thread invoking this method is interrupted while waiting.

  - ### isRunning

    boolean isRunning()
    Deprecated.
    Returns whether or not this managed entity is running. Note that this operation may attempt to contact the managed entity.
    Returns:
      whether his managed entity is running
    Throws:
      `IllegalStateException` - If this managed entity resides on a remote machine and a `null` or empty (`""`) remote command has been specified.

  - ### getLog

    String getLog() throws AdminException
    Deprecated.
    Returns the tail of this manage entity's log file. Note that not all managed entities implement this functionality.
    Returns:
      the tail of this manage entity's log file
    Throws:
      `AdminException` - If a problem is encountered while getting the log of this managed entity.
      `UnsupportedOperationException` - If this managed entity does not support retrieving its log.